omv-release-upgrade errors out

  • Just tried to omv-release-upgrade from OMV5 to OMV6, but the upgrade errors out with the following message:


    Looking into dpkg -l, I get:

    Code
    root@MyRS:~# dpkg -l | grep openmed                                                                                                                                                                                                             ii  omvextras-unionbackend          5.0.2      all    union filesystems backend plugin for openmediavault
    iU  openmediavault                  6.0.27-1   all    openmediavault - The open network attached storage solution
    iU  openmediavault-backup           6.0.4      all    backup plugin for OpenMediaVault. iU  openmediavault-clamav           6.0-9      all    openmediavault ClamAV plugin
    iU  openmediavault-diskstats        6.0-6      all    openmediavault disk monitoring plugin
    iU  openmediavault-fail2ban         6.0.2      all    OpenMediaVault Fail2ban plugin
    iU  openmediavault-flashmemory      6.1        all    folder2ram plugin for openmediavault
    ii  openmediavault-keyring          1.0        all    GnuPG archive keys of the OpenMediaVault archive
    ii  openmediavault-mergerfsfolders  5.1.4      all    mergerfs folders plugin for openmediavault.
    iU  openmediavault-omvextrasorg     6.0.8      all    OMV-Extras.org Package Repositories for OpenMediaVault
    iU  openmediavault-resetperms       6.0        all    Reset Permissions

    dpkg -C yields:

    Any advice to resolve this, or should I restore my backup or install cleanly?

  • I've been able to solve two issues:


    1. I had a problem with collectd because I changed my domain sometime ago. Found the solution on this very forum: #RE: collectd configuration
    2. The Brother printer drivers were no longer needed anyways, so I simply purged them


    Running omv-upgrade succeeded now. YAY! I could also log into the OMV6 GUI and "apply changes" as requested.

    Now my Raid, my mergerfs and my extensions are not showing, but it seems I've advanced...



    dpkg -C does not return any errors anymore.


    It seems the old unionfs and mergerfs extensions have not migrated correctly, probably because the migration was interrupted by the collectd error. Is there any way to migrate those "after the fact"? As I'm on OMV6 already omv-release-upgrade obviously does not longer exist...

  • I think, I've got it! :)


    Here what I've done now:


    3. Reactivated the missing extensions/plugin via

    Code
    /usr/sbin/omv-mkaptidx
    dpkg-divert --remove --rename /usr/sbin/omv-mkaptidx
    omv-mkaptidx

    ...as described in many other places on this forum


    4. Received loads and loads of RPC errors when looking for my RAID and mergerfs. The solution was very simple. I only had to remove the old "version 5.x" mergerfs plugin. After I've purged it, Raid and mergerfs reappeared. No RPC errors anymore...


    It seems everything is working now! YIKES!!! :)

  • m4tt0

    Added the Label resolved

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!